aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/backup-bitlbee
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/backup-bitlbee')
-rwxr-xr-xscripts/backup-bitlbee27
1 files changed, 27 insertions, 0 deletions
diff --git a/scripts/backup-bitlbee b/scripts/backup-bitlbee
new file mode 100755
index 0000000..3c43e60
--- /dev/null
+++ b/scripts/backup-bitlbee
@@ -0,0 +1,27 @@
+#!/usr/bin/env bash
+
+timestamp="$(date +"%Y%m%d-%H%M%S")-"
+
+# If the backup location doesn't exist yet, create it
+if [ ! -d $bitlbee_folder_destination ]; then
+ mkdir -p $bitlbee_folder_destination
+fi
+
+# If the parent directory of the backup source exists, enter it
+if [ -d $bitlbee_parent_source ]; then
+ cd $bitlbee_parent_source
+else
+ exit 1
+fi
+
+echo "$bitlbee_folder_source -> $bitlbee_folder_destination$timestamp$bitlbee_folder_source$tar_suffix$gpg_suffix"
+# tar in /tmp
+tar cfJ "$tmp$timestamp$bitlbee_folder_source$tar_suffix" $bitlbee_folder_source
+# gpg to backup_location
+gpg -e \
+ -r "$gpg_public_key" \
+ -o $bitlbee_folder_destination$timestamp$bitlbee_folder_source$tar_suffix$gpg_suffix \
+ "$tmp$timestamp$bitlbee_folder_source$tar_suffix"
+# delete tar in /tmp
+rm -f "$tmp$timestamp$bitlbee_folder_source$tar_suffix"
+